<?xml version="1.0"?>
<xsl:stylesheet version="1.0" 
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns="http://www.w3.org/1999/xhtml">

  <xsl:template match="/">
    <html>
    <head><title>Customers</title></head>
    <body>
      <xsl:apply-templates select="Root/Customers/Customer" />
    </body>
    </html>
  </xsl:template>

  <xsl:template match="Customer">
    <h1><xsl:value-of select="ContactName" /></h1>
    <p><xsl:value-of select="ContactTitle" /> of <xsl:value-of select="CompanyName" /></p>
    <p>Contact:</p>
    <ul>
      <xsl:apply-templates select="Phone | Fax" />
    </ul>
    <address>
      <xsl:value-of select="FullAddress/Address" /><br />
      <xsl:value-of select="FullAddress/City" />, <xsl:value-of
      select="FullAddress/Region" /><xsl:text> </xsl:text><xsl:value-of
      select="FullAddress/PostalCode" /><br />
      <xsl:value-of select="FullAddress/Country" />
    </address>
  </xsl:template>

  <xsl:template match="Phone | Fax">
    <li><xsl:value-of select="name()" />: <xsl:value-of select="." /></li>
  </xsl:template>
</xsl:stylesheet>
